Knowledge base
Detach files from agent
Detach multiple knowledge-base files from an agent.
POST /knowledge_base /detach
Bearersession
Body
2 fields
·
List of knowledge-base file IDs to detach.
ID of the agent to detach files from.
curl -X POST 'https://omnidim.io/api/v1/knowledge_base/detach' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "file_ids": [ 17686 ], "agent_id": 158910 }'
Example response
{ "success": true, "message": "1 files detached from agent successfully" }
BearerAuthheader
AuthorizationBearer <token>Bearer token authentication. Obtain your API key from the OmniDimension dashboard.
application/jsonfile_ids*array<integer>List of knowledge-base file IDs to detach.
Items
1 <= itemsagent_id*integerID of the agent to detach files from.
Response body
application/jsonFiles detached.
application/jsonsuccess?booleanmessage?stringWas this page helpful?
